/*
 * Detect a Library for hardware detection
 *
 * Copyright (C) 1998-2000 MandrakeSoft
 * Copyright (C) 2005 Alexandre Dussart
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef UTILS_H
#define UTILS_H

# define _GNU_SOURCE 1
# define __USE_GNU 1

#include <features.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>


/*gettext stuff*/
/* always defined to indicate that i18n is enabled */
#include <locale.h>
//#include <libintl.h>
#define _(String) String

/* IMPORTANT: The following comments are needet, otherwise we won't   */
/* get the strings i18n'ed :-\  (they have to stay AFTER the defines) */

#define MALLOC_ERROR            _("Can't allocate memory!\n")
/*
 * utils.c
 * Memory handling
 */
extern void *my_malloc(size_t size);

#endif
